using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Piece : MonoBehaviour
{
    [SerializeField] private GameManager _gameManager; // Référence au GameManager
    private float _angle = 0; // Angle de la pièce

    // Rotation aléatoire de la pièce
    public void RotationAleatoire()
    {
        _angle = Random.Range(1, 4) * 90; // Angle aléatoire (90, 180 ou 270 degres)
        Tourner(_angle); // Applique la rotation
    }

    // Quand on clique sur la pièce, elle tourne...
    private void OnMouseDown()
    {
        _gameManager.JouerSon("Clic");

        _angle += 90; // Augmente l'angle de 90 degrés

        // Si l'angle dépasse 360 degrés, le remet à 0
        if (_angle >= 360) _angle = 0;

        Tourner(_angle); // Applique la rotation
        _gameManager.VerifierSiFini(); // Vérifie si le puzzle est terminé
    }

    // Vérifier si la pièce est bien placée ou non (angle = 0 degrés)
    public bool BienPlacee()
    {
        return _angle == 0;
    }

    // Effectuer la rotation de la pièce selon l'angle reçu
    public void Tourner(float degres)
    {
        _angle = degres;
        transform.rotation = Quaternion.Euler(0, 0, degres);
    }

}
